Home
Support Forums

Can't Seem to Get My Hugo site to Deploy

I need advice to debug deploy Netlify App

0.80.1 is not a valid Hugo version:

Check here:

Yes. Apologies for that. I typed it wrong initially. I’m currently running the 0.89.1+extended. But when I type that in, it still doesn’t work.

You don’t have to type +extended.

Got it. So, on my netlify.toml file I have changed it to be “0.89.1” and it still doesn’t deploy. Here’s the code from when I try to deploy it.

11:05:37 AM: Build ready to start
11:05:39 AM: build-image version: 6a1f7e52d9cf33642526245391bde1af7845fc53 (xenial)
11:05:39 AM: build-image tag: v3.10.0
11:05:39 AM: buildbot version: f54abf87fe81303255850790eebe8dc0b2826706
11:05:39 AM: Fetching cached dependencies
11:05:39 AM: Failed to fetch cache, continuing with build
11:05:39 AM: Starting to prepare the repo for build
11:05:40 AM: No cached dependencies found. Cloning fresh repo
11:05:40 AM: git clone https://github.com/adamsburge/DPhil-Project
11:05:40 AM: Preparing Git Reference refs/heads/main
11:05:41 AM: Parsing package.json dependencies
11:05:41 AM: Starting build script
11:05:41 AM: Installing dependencies
11:05:41 AM: Python version set to 2.7
11:05:43 AM: Downloading and installing node v16.13.0...
11:05:43 AM: Downloading https://nodejs.org/dist/v16.13.0/node-v16.13.0-linux-x64.tar.xz...
11:05:43 AM: Computing checksum with sha256sum
11:05:43 AM: Checksums matched!
11:05:46 AM: Now using node v16.13.0 (npm v8.1.0)
11:05:46 AM: Started restoring cached build plugins
11:05:46 AM: Finished restoring cached build plugins
11:05:47 AM: Attempting ruby version 2.7.2, read from environment
11:05:48 AM: Using ruby version 2.7.2
11:05:48 AM: Using PHP version 5.6
11:05:48 AM: Installing Hugo 0.89.1
11:05:49 AM: hugo v0.89.1-B6A4AE4A+extended linux/amd64 BuildDate=2021-11-05T15:44:32Z VendorInfo=gohugoio
11:05:49 AM: Started restoring cached go cache
11:05:49 AM: Finished restoring cached go cache
11:05:49 AM: Installing Go version 1.16.5
11:05:54 AM: unset GOOS;
11:05:54 AM: unset GOARCH;
11:05:54 AM: export GOROOT='/opt/buildhome/.gimme_cache/versions/go1.16.5.linux.amd64';
11:05:54 AM: export PATH="/opt/buildhome/.gimme_cache/versions/go1.16.5.linux.amd64/bin:${PATH}";
11:05:54 AM: go version >&2;
11:05:54 AM: export GIMME_ENV="/opt/buildhome/.gimme_cache/env/go1.16.5.linux.amd64.env"
11:05:54 AM: go version go1.16.5 linux/amd64
11:05:54 AM: Installing missing commands
11:05:54 AM: Verify run directory
11:05:56 AM: ​
11:05:56 AM: ────────────────────────────────────────────────────────────────
11:05:56 AM:   Netlify Build                                                 
11:05:56 AM: ────────────────────────────────────────────────────────────────
11:05:56 AM: ​
11:05:56 AM: ❯ Version
11:05:56 AM:   @netlify/build 18.21.4
11:05:56 AM: ​
11:05:56 AM: ❯ Flags
11:05:56 AM:   baseRelDir: true
11:05:56 AM:   buildId: 6187b30122bc1e000720f25b
11:05:56 AM:   deployId: 6187b30122bc1e000720f25d
11:05:56 AM: ​
11:05:56 AM: ❯ Current directory
11:05:56 AM:   /opt/build/repo
11:05:56 AM: ​
11:05:56 AM: ❯ Config file
11:05:56 AM:   /opt/build/repo/netlify.toml
11:05:56 AM: ​
11:05:56 AM: ❯ Context
11:05:56 AM:   production
11:05:56 AM: ​
11:05:56 AM: ────────────────────────────────────────────────────────────────
11:05:56 AM:   1. build.command from netlify.toml                            
11:05:56 AM: ────────────────────────────────────────────────────────────────
11:05:56 AM: ​
11:05:56 AM: $ hugo
11:05:56 AM: Error: module "Hyde" not found; either add it as a Hugo Module or store it in "/opt/build/repo/themes".: module does not exist
11:05:56 AM: Total in 0 ms
11:05:56 AM: ​
11:05:56 AM: ────────────────────────────────────────────────────────────────
11:05:56 AM:   "build.command" failed                                        
11:05:56 AM: ────────────────────────────────────────────────────────────────
11:05:56 AM: ​
11:05:56 AM:   Error message
11:05:56 AM:   Command failed with exit code 255: hugo
11:05:56 AM: ​
11:05:56 AM:   Error location
11:05:56 AM:   In build.command from netlify.toml:
11:05:56 AM:   hugo
11:05:56 AM: ​
11:05:56 AM:   Resolved config
11:05:56 AM:   build:
11:05:56 AM:     command: hugo
11:05:56 AM:     commandOrigin: config
11:05:56 AM:     environment:
11:05:56 AM:       - HUGO_VERSION
11:05:56 AM:     publish: /opt/build/repo/public
11:05:56 AM:     publishOrigin: config
11:05:56 AM: Caching artifacts
11:05:56 AM: Started saving build plugins
11:05:56 AM: Finished saving build plugins
11:05:56 AM: Started saving pip cache
11:05:56 AM: Finished saving pip cache
11:05:56 AM: Started saving emacs cask dependencies
11:05:56 AM: Finished saving emacs cask dependencies
11:05:56 AM: Started saving maven dependencies
11:05:56 AM: Finished saving maven dependencies
11:05:56 AM: Started saving boot dependencies
11:05:56 AM: Finished saving boot dependencies
11:05:56 AM: Started saving rust rustup cache
11:05:56 AM: Finished saving rust rustup cache
11:05:56 AM: Started saving go dependencies
11:05:58 AM: Finished saving go dependencies
11:06:01 AM: Build failed due to a user error: Build script returned non-zero exit code: 2
11:06:01 AM: Creating deploy upload records
11:06:01 AM: Failing build: Failed to build site
11:06:01 AM: Failed during stage 'building site': Build script returned non-zero exit code: 2
11:06:01 AM: Finished processing build request in 21.863788107s

This is a totally different error. Have you tried doing as this line says?

Oh! That’s it! It was a typo where I listed my theme. I accidentally capitalized it. It deployed perfectly when I changed that. Thanks!